/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

$success: #00b460;
$idle: #ffec41;
$error-color: rgba(208, 2, 27, 0.8);
$info: rgba(62, 160, 251, 1);
$black: #303034;
$light-gray: #e2e2e2;
$coa-red-100: rgba(254, 48, 48, 1);
$border: #e5e6ed;
$on-surface: #26385b;

/* ===============
   COA COLORS 
   =============== */

$original-black: #000000;
$coa-blue-100: #4c7ff7;
$coa-light-sky-blue-100: #f1f3ff;
$coa-dark-gray-100: #26385b;
$coa-light-gray-100: #9ca6b8;
$coa-medium-gray-100: #525b6b;
$coa-grey-100: #728099;
$coa-green-100: #54d085;
$coa-green-200: #58c984;
$coa-light-green-100: #ddf6e7;
$coa-yellow-100: #ffb84e;
$coa-light-yellow-100: #fff4e3;
$coa-orange-100: #ff8642;
$coa-orange-200: #ffaa29;
$coa-light-orange-100: #ffece1;
$coa-light-orange-200: #fff5e5;
$coa-red-100: #ff6666;
$coa-light-red-100: #ffe0e0;
$coa-light-blue-100: #5caefa;
$coa-ultralight-blue-100: #deeffe;
$coa-white-100: #ffffff;
$coa-green-aqua-100: #08ceaa;
$coa-violet-100: #bc66ff;
$coa-light-violet-100: #f6e3ff;
$coa-fuchsia-100: #ef5da8;
$coa-light-fuchsia-100: #ffe5f3;
$coa-orange-dark-100: #ed4e1b;
$coa-ultralight-orange-100: #e7e8e7;

$coa-primary: $NEXT_PUBLIC_PRIMARY_COLOR;
$coa-secondary: $NEXT_PUBLIC_SECONDARY_COLOR;
$coa-dark: $coa-grey-100;

/* OLD COLORS */
$light-gray-2: #f3f4fb;
$error-color: #fe3030;

$header-height: 3.75rem;
$create-project-footer-height: 5rem;

/* NAVBAR */
$coa-bell-100: $coa-primary;

/* FOOTER */
$coa-footer-background: $coa-secondary;
$coa-footer-text-color: $coa-primary;

/* BUTTON PRIMARY */
$coa-button-background-primary: $coa-primary;
$coa-button-background-primary-disabled: $coa-primary;
$coa-button-background-primary-disabled-hover: $coa-primary;
$coa-button-border-primary: $coa-primary;
$coa-button-primary-text-color: $coa-white-100;

/* BUTTON SECONDARY */
$coa-button-background-secondary: $coa-secondary;
$coa-button-background-secondary-disabled: $coa-secondary;
$coa-button-background-secondary-disabled-hover: $coa-secondary;
$coa-button-border-secondary: $coa-secondary;
$coa-button-secondary-text-color: $coa-primary;

/* BUTTON DARK */
$coa-button-background-dark: $coa-dark;
$coa-button-background-dark-disabled: $coa-dark;
$coa-button-background-dark-disabled-hover: $coa-dark;
$coa-button-border-dark: $coa-dark;
$coa-button-dark-text-color: $coa-white-100;

/* BUTTON GHOST */

$coa-button-text-ghost-color: $coa-primary;
$coa-button-text-ghost-dark-color: $coa-dark;
$coa-button-border-ghost-color: $coa-primary;
$coa-button-border-ghost-dark-color: $coa-dark;
$coa-button-ghost-background: $coa-white-100;
$coa-button-disabled-background: $coa-primary;
$coa-button-disabled-hover-background: $coa-primary;
$coa-button-disabled-text-color: $coa-white-100;
$coa-button-ghost-disabled-text-color: $coa-white-100;

/* BUTTON DANGER */

$button-danger-background: $coa-red-100;
$button-danger-text-color: $coa-white-100;
$button-danger-background-disabled: $coa-red-100;
$button-danger-background-disabled-hover: $coa-red-100;

/* BUTTON SUCCESS */

$button-success-background: $coa-green-100;
$button-success-text-color: $coa-white-100;
$button-success-background-disabled: $coa-green-100;
$button-success-background-disabled-hover: $coa-green-100;

/* MODAL LOGIN */
$coa-modal-login-title-color: $coa-primary;

/* TITLE */
$coa-title-color: $coa-primary;
$coa-title-underline-color: $coa-primary;
$coa-title-number-color: $coa-primary;

/* BUTTON TEXT */
$coa-text-button-primary-color: $coa-primary;

/* SCROLLBAR */
$coa-scrollbar-thumb: $coa-primary;

/* MENU ITEMS */
$menu-item-icon-color: $coa-primary;

/* CHANGELOG */
$changelog-background: $coa-secondary;
$changelog-empty-text-color: $coa-primary;
$coa-changelog-highlighted-color: $coa-primary;
$coa-changelog-links-color: $coa-primary;

/* COALINK */
$coa-link-primary: $coa-primary;

$coa-project-progress-card-background: $coa-secondary;
$coa-project-info-section-line: $coa-primary;

$coa-project-info-section-icon-color: $coa-primary;

$coa-card-background: $coa-secondary;
$coa-project-scope-title-color: $coa-primary;
$coa-project-statement-title-color: $coa-primary;
$coa-progress-bar-fill-background: $coa-primary;

$coa-milestone-item-background: $coa-secondary;
$coa-milestone-view-activities-text-color: $coa-primary;

$coa-cashflow-table-header-background: $coa-secondary;
$coa-cashflow-table-header-text-color: $coa-primary;

$coa-empty-milestones-title-color: $coa-primary;

$coa-evidences-container-background: $coa-secondary;

$coa-breadcrumb-text-color: $coa-primary;
$coa-evidence-card-order-number-color: $coa-primary;
